import ApiService from "@/utils/request";

/** 获取验证码 */
export const getSms = (params) => {
    return ApiService.post("/marriage/common/sms", params);
};

/** 登录 */
export const login = (params) => {
    return ApiService.post("/marriage/common/login", params);
};

/** 兑换 */
export const receiveCode = (params) => {
    return ApiService.post("/marriage/receiveCode", params);
};

/** 兑换校验 */
export const receiveCheck = (params) => {
    return ApiService.post("/marriage/receiveCheck", params);
};

/** 站点兑换记录列表 */
export const codeList = (params) => {
    return ApiService.post("/marriage/codeList", params);
};

/** 活动剩余领取数量 */
export const leftOverCount = (params) => {
    return ApiService.post("/marriage/leftOverCount", params);
};

/** 获取微信扫一扫配置 */
export const wechatConfig = (params) => {
    return ApiService.post("/marriage/wechat/getParam", params);
};

// 回显数据
export const getDetail = (params) => {
    return ApiService.get("/marriage/codeInfo", params);
};
